<!-- ******************************************************** -->
<!--                                                          -->
<!--  [History]                                               -->
<!--    Converted to DocBook: Katsuya Amako, Aug-2006         -->
<!--                                                          -->
<!-- ******************************************************** -->


<!-- ******************* Section (Level#1) ****************** -->
<sect1 id="sect.StepGuides">
<title>
Step-by-Step Installation Guides
</title>

<para>
You can find below some useful pages collecting instructions on how to
install Geant4 in a detailed step-by-step tutorial:

<itemizedlist spacing="compact">
   <listitem><para>
     <ulink url="http://geant4.slac.stanford.edu/tutorial/installation/">
      Step by step Installation Guides</ulink>.
   </para></listitem>
</itemizedlist>
</para>

<!-- ******************* Section (Level#2) ****************** -->
<sect2 id="sect.BldMSV">
<title>
Building on MS Visual C++
</title>

<para>
Geant4 can be compiled with the C++ compiler of MS Visual Studio
C++ and the 
<ulink url="http://cygwin.com/">
Cygwin toolset</ulink>. 
Detailed instructions are given in the Installation
manual. As the build system relies on <literal>make</literal> and other 
Unix tools using only the compiler of MS Visual Studio, the section on
</para>

<para>
<xref linkend="sect.MkflEnvVar" /> Makefile and environment variables
applies also for building with MS Visual C++.
</para>

<para>
We do not support compilation directly under MS Visual Studio,
i.e. we do not provide workspace files <literal>(.dsw)</literal> or project
files (<literal>.dsp</literal>).
</para>

<para>
However the executables created are debuggable using the
debugger of MS Visual Studio. You may have to help the debugger
finding the path to source files the first time you debug a given
executable.
</para>

<para>
Listed below are some useful pages with instructions on how to start with the
installation of CygWin, and also tips for creating a project under Visual
Studio:

<itemizedlist spacing="compact">
   <listitem><para>
     <ulink url="http://www.lcsim.org/docs/gettingstarted/Cygwin/">
     Getting started with Cygwin</ulink>.
   </para></listitem>
   <listitem><para>
     <ulink url="http://cern.ch/geant4/support/windows_note.shtml">
     Cygwin Installation Notes</ulink>.
   </para></listitem>
   <listitem><para>
     <ulink url="http://www.lcsim.org/docs/gettingstarted/geant4msvc++/net2005/index.htm">
     Building a MSVC++ Visual Studio 2005 Geant4 project</ulink> (setup no longer supported).
   </para></listitem>
</itemizedlist>
</para>

</sect2>

</sect1>
